org.eclipse.graphiti.tb

## Class AbstractContextEntry

- java.lang.Object
- - org.eclipse.graphiti.tb.AbstractContextEntry

All Implemented Interfaces:
  IContextEntry

Direct Known Subclasses:
  ContextButtonEntry, ContextMenuEntry, DynamicContextMenuEntry

    public class AbstractContextEntry
    extends java.lang.Object
    implements IContextEntry

The Class AbstractContextEntry.

### Constructor Summary

Constructors
Constructor and Description
`AbstractContextEntry(IFeature feature, IContext context)` Creates a new `AbstractContextEntry`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canExecute()` Can execute.
`void` `execute()` Execute.
`IContext` `getContext()` Gets the context.
`java.lang.String` `getDescription()` Gets the description.
`IFeature` `getFeature()` Gets the feature.
`java.lang.String` `getIconId()` Gets the icon id.
`java.lang.String` `getText()` Gets the text.
`void` `setDescription(java.lang.String text)` Sets the description.
`void` `setIconId(java.lang.String iconId)` Sets the icon id.
`void` `setText(java.lang.String text)` Sets the text.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractContextEntry

    public AbstractContextEntry(IFeature feature,
                                IContext context)

Creates a new `AbstractContextEntry`.

Parameters:
  `feature` - the feature
  `context` - the context

### Method Detail

#### canExecute

    public boolean canExecute()

Description copied from interface: `IContextEntry`
Can execute.

Specified by:
  `canExecute` in interface `IContextEntry`
Returns:
  true, if successful

#### execute

    public void execute()

Description copied from interface: `IContextEntry`
Execute.

Specified by:
  `execute` in interface `IContextEntry`

#### getContext

    public IContext getContext()

Description copied from interface: `IContextEntry`
Gets the context.

Specified by:
  `getContext` in interface `IContextEntry`
Returns:
  the context

#### getFeature

    public IFeature getFeature()

Description copied from interface: `IContextEntry`
Gets the feature.

Specified by:
  `getFeature` in interface `IContextEntry`
Returns:
  the feature

#### getIconId

    public java.lang.String getIconId()

Description copied from interface: `IContextEntry`
Gets the icon id.

Specified by:
  `getIconId` in interface `IContextEntry`
Returns:
  the icon id

#### getText

    public java.lang.String getText()

Description copied from interface: `IContextEntry`
Gets the text.

Specified by:
  `getText` in interface `IContextEntry`
Returns:
  the text

#### getDescription

    public java.lang.String getDescription()

Description copied from interface: `IContextEntry`
Gets the description.

Specified by:
  `getDescription` in interface `IContextEntry`
Returns:
  the description

#### setIconId

    public void setIconId(java.lang.String iconId)

Description copied from interface: `IContextEntry`
Sets the icon id.

Specified by:
  `setIconId` in interface `IContextEntry`
Parameters:
  `iconId` - the new icon id

#### setText

    public void setText(java.lang.String text)

Description copied from interface: `IContextEntry`
Sets the text.

Specified by:
  `setText` in interface `IContextEntry`
Parameters:
  `text` - the new text

#### setDescription

    public void setDescription(java.lang.String text)

Description copied from interface: `IContextEntry`
Sets the description.

Specified by:
  `setDescription` in interface `IContextEntry`
Parameters:
  `text` - the new description